{
  "name": "cloudclass",
  "version": "0.1.0",
  "private": true,
  "homepage": "./",
  "dependencies": {
    "@antv/data-set": "^0.11.8",
    "@antv/g2": "^3.5.17",
    "@babel/core": "7.9.0",
    "@babel/plugin-transform-typescript": "^7.11.0",
    "@babel/preset-typescript": "^7.10.4",
    "@svgr/webpack": "4.3.3",
    "@testing-library/jest-dom": "^4.2.4",
    "@testing-library/react": "^9.3.2",
    "@testing-library/user-event": "^7.1.2",
    "@types/ali-oss": "^6.0.5",
    "@types/qs": "^6.9.5",
    "@types/react": "^16.9.46",
    "@types/react-dom": "^16.9.8",
    "@types/react-router-dom": "^5.1.5",
    "@types/underscore": "^1.10.22",
    "@typescript-eslint/eslint-plugin": "^2.10.0",
    "@typescript-eslint/parser": "^2.10.0",
    "ali-oss": "^6.12.0",
    "antd": "^4.9.4",
    "array-move": "^3.0.1",
    "axios": "^0.20.0",
    "babel-eslint": "10.1.0",
    "babel-jest": "^24.9.0",
    "babel-loader": "8.1.0",
    "babel-plugin-jsx-control-statements": "^4.1.0",
    "babel-plugin-named-asset-import": "^0.3.6",
    "babel-preset-react-app": "^9.1.2",
    "bizcharts": "^3.3.0",
    "camelcase": "^5.3.1",
    "case-sensitive-paths-webpack-plugin": "2.3.0",
    "classnames": "^2.2.6",
    "cropper": "^3.1.4",
    "cross-env": "^7.0.2",
    "css-loader": "3.4.2",
    "dom-to-image": "^2.6.0",
    "dotenv": "8.2.0",
    "dotenv-expand": "5.1.0",
    "eslint": "^6.6.0",
    "eslint-config-react-app": "^5.2.1",
    "eslint-loader": "3.0.3",
    "eslint-plugin-flowtype": "4.6.0",
    "eslint-plugin-import": "2.20.1",
    "eslint-plugin-jsx-a11y": "6.2.3",
    "eslint-plugin-jsx-control-statements": "^2.2.1",
    "eslint-plugin-react": "7.19.0",
    "eslint-plugin-react-hooks": "^1.6.1",
    "file-loader": "4.3.0",
    "fs-extra": "^8.1.0",
    "html-webpack-plugin": "4.0.0-beta.11",
    "html2canvas": "^1.0.0-rc.7",
    "husky": "^4.2.5",
    "identity-obj-proxy": "3.0.0",
    "jest": "24.9.0",
    "jest-environment-jsdom-fourteen": "1.0.1",
    "jest-resolve": "24.9.0",
    "jest-watch-typeahead": "0.4.2",
    "jquery": "^3.4.1",
    "less": "^3.12.2",
    "less-loader": "^6.2.0",
    "lottie-web": "^5.7.6",
    "microevent": "^1.0.0",
    "mini-css-extract-plugin": "0.9.0",
    "moment": "^2.27.0",
    "optimize-css-assets-webpack-plugin": "5.0.3",
    "pnp-webpack-plugin": "1.6.4",
    "postcss-flexbugs-fixes": "4.1.0",
    "postcss-loader": "3.0.0",
    "postcss-normalize": "8.0.1",
    "postcss-preset-env": "6.7.0",
    "postcss-safe-parser": "4.0.1",
    "prop-types": "^15.7.2",
    "qs": "^6.9.4",
    "react": "^16.13.1",
    "react-app-polyfill": "^1.0.6",
    "react-async-component": "^2.0.0",
    "react-dev-utils": "^10.2.1",
    "react-dom": "^16.13.1",
    "react-infinite-scroller": "^1.2.4",
    "react-lottie": "^1.2.3",
    "react-router-dom": "^5.2.0",
    "react-sortable-hoc": "^1.11.0",
    "resolve": "1.15.0",
    "resolve-url-loader": "3.1.1",
    "semver": "6.3.0",
    "style-loader": "0.23.1",
    "terser-webpack-plugin": "2.3.8",
    "ts-pnp": "1.1.6",
    "typescript": "^4.0.2",
    "underscore": "^1.10.2",
    "url-loader": "2.3.0",
    "video-react": "0.14.1",
    "wangeditor": "^4.6.9",
    "webpack": "4.42.0",
    "webpack-dev-server": "3.11.0",
    "webpack-manifest-plugin": "2.2.0",
    "workbox-webpack-plugin": "4.3.1",
    "xiaomai-b-components": "1.4.4"
  },
  "scripts": {
    "start": "node scripts/start.js",
    "build:dev": "cross-env DEPLOY_ENV=dev node scripts/build.js",
    "build:dev1": "cross-env DEPLOY_ENV=dev node scripts/build.js",
    "build:rc": "cross-env DEPLOY_ENV=rc node scripts/build.js",
    "build:gray": "cross-env DEPLOY_ENV=gray node scripts/build.js",
    "build:prod": "cross-env DEPLOY_ENV=prod node scripts/build.js"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "babel": {
    "presets": [
      "react-app"
    ],
    "plugins": [
      "jsx-control-statements"
    ]
  },
  "devDependencies": {
    "@types/ali-oss": "^6.0.5",
    "@types/jquery": "^3.5.4",
    "ali-oss": "^6.12.0",
    "react-sortable-hoc": "^1.11.0",
    "vconsole-webpack-plugin": "^1.5.2"
  }
}
